
from pylab import *

E=logspace(-4.5,-15.5,12)
Rac=(0.285933 + 4.16053*E**(2/9) + 0.27902*E**(1/6))*E**(-4/3)		# from Dormy et al JFM 2004 (formula 3.25a + values 5.4)
RacI = (4.1173 + 17.7815*E**(1/3) + 0.1206*E**(1/6))*E**(-4/3)		# internal heating (formula 4.1a + values 4.4)

figure()
semilogx(E[1:]*sqrt(10),log10(Rac[1:]/Rac[0:-1]),'ko-', label='differential heating (spherical shell)')
semilogx(E[1:]*sqrt(10),log10(RacI[1:]/RacI[0:-1]),'ro-', label='internal heating (full sphere)')
semilogx(E[1:]*sqrt(10), E[1:]*0 + 4/3, 'b--', label='asymptotic (4/3)')
legend(loc='best')
grid()
xlabel('Ekman number')
ylabel('effective exponent: $\log_{10}(Rac(E/\sqrt{10})/Rac(E\sqrt{10})$')
title('onset of rotating thermal convection, Pr=1')

show()
